## python-stdnum 1.2

=== debian/changelog ===
python-stdnum (1.2-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - Austrian Company Register Numbers
      - CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company
        identifier)
      - UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
      - VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
      - CUSIP number (financial security identification number)
      - Wertpapierkennnummer (German securities identification code)
      - Isikukood (Estonian Personcal ID number)
      - Finnish Association Identifier
      - Y-tunnus (Finnish business identifier)
      - SEDOL number (Stock Exchange Daily Official List number)
      - IMO number (International Maritime Organization number)
      - ISIN (International Securities Identification Number)
      - RFC (Registro Federal de Contribuyentes, Mexican tax number)
      - PESEL (Polish national identification number)
      - REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
      - ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
    - add an alternate VIES check (check_vies_approx()) that includes a proof
      (certificate) that the check was performed (closes: #783644)
    - fall back to pysimplesoap if suds is unavailable (closes: #774948)
    - test and code quality improvements
  * Update debian/copyright
  * Suggest python-pysimplesoap (over python-suds) for SOAP calls
  * Switch to pybuild buildsystem

 -- Arthur de Jong <adejong@debian.org>  Sun, 11 Oct 2015 14:32:05 +0200

=== debian/control ===
Source: python-stdnum
Section: python
Priority: optional
Maintainer: Arthur de Jong <adejong@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.6
Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
               debhelper (>= 9), dh-python,
               python-setuptools, python3-setuptools,
               python-nose (>= 1.2.0), python3-nose (>= 1.2.0)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: http://arthurdejong.org/python-stdnum/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-stdnum.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stdnum.git

Package: python-stdnum
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Suggests: python-pysimplesoap | python-suds
Description: Python module to handle standardized numbers and codes
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * BTW, TVA, NWSt (Belgian VAT number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * Swiss social security number ("Sozialversicherungsnummer")
  * RUT (Rol Único Tributario, Chilean national tax number)
  * RIC No. (Chinese Resident Identity Card Number)
  * NIT (Número De Identificación Tributaria, Colombian identity code)
  * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  * DIČ (Daňové identifikační číslo, Czech VAT number)
  * RČ (Rodné číslo, the Czech birth number)
  * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
  * CPR (personnummer, the Danish citizen number)
  * CVR (Momsregistreringsnummer, Danish VAT number)
  * Cedula (Dominican Republic national identification number)
  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  * EAN (International Article Number)
  * CI (Cédula de identidad, Ecuadorian personal identity code)
  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  * KMKR (Käibemaksukohuslase, Estonian VAT number)
  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)
  * DNI (Documento nacional de identidad, Spanish personal identity codes)
  * NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
  * NIF (Número de Identificación Fiscal, Spanish VAT number)
  * SEPA Identifier of the Creditor (AT-02)
  * VAT (European Union VAT number)
  * ALV nro (Arvonlisäveronumero, Finnish VAT number)
  * HETU (Henkilötunnus, Finnish personal identity code)
  * SIREN (a French company identification number)
  * n° TVA (taxe sur la valeur ajoutée, French VAT number)
  * VAT (United Kingdom (and Isle of Man) VAT registration number)
  * FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)
  * GRid (Global Release Identifier)
  * OIB (Osobni identifikacijski broj, Croatian identification number)
  * ANUM (Közösségi adószám, Hungarian VAT number)
  * IBAN (International Bank Account Number)
  * PPS No (Personal Public Service Number, Irish personal number)
  * VAT (Irish VAT number)
  * IMEI (International Mobile Equipment Identity)
  * IMSI (International Mobile Subscriber Identity)
  * Kennitala (Icelandic personal and organisation identity code)
  * VSK number (Virðisaukaskattsnúmer, Icelandic VAT number)
  * ISAN (International Standard Audiovisual Number)
  * ISBN (International Standard Book Number)
  * ISIL (International Standard Identifier for Libraries)
  * ISMN (International Standard Music Number)
  * ISO 6346 (International standard for container identification)
  * ISO 9362 (Business identifier codes)
  * ISSN (International Standard Serial Number)
  * Codice Fiscale (Italian tax code for individuals)
  * Partita IVA (Italian VAT number)
  * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
  * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
  * PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
  * MEID (Mobile Equipment Identifier)
  * VAT (Maltese VAT number)
  * NRIC No. (Malaysian National Registration Identity Card Number)
  * Brin number (Dutch number for schools)
  * BSN (Burgerservicenummer, Dutch national identification number)
  * BTW-nummer (Omzetbelastingnummer, the Dutch VAT number)
  * Onderwijsnummer (Dutch student school number)
  * Postcode (Dutch postal code)
  * MVA (Merverdiavgift, Norwegian VAT number)
  * Orgnr (Organisasjonsnummer, Norwegian organisation number)
  * NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
  * NIF (Número de identificação fiscal, Portuguese VAT number)
  * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
  * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
  * Orgnr (Organisationsnummer, Swedish company number)
  * VAT (Moms, Mervärdesskatt, Swedish VAT number)
  * ID za DDV (Davčna številka, Slovenian VAT number)
  * IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
  * RČ (Rodné číslo, the Slovak birth number)
  * COE (Codice operatore economico, San Marino national tax number)
  * ATIN (U.S. Adoption Taxpayer Identification Number)
  * EIN (U.S. Employer Identification Number)
  * ITIN (U.S. Individual Taxpayer Identification Number)
  * PTIN (U.S. Preparer Tax Identification Number)
  * RTN (Routing transport number)
  * SSN (U.S. Social Security Number)
  * TIN (U.S. Taxpayer Identification Number)
 .
 Furthermore a number of generic check digit algorithms are available:
 .
  * the Verhoeff algorithm
  * the Luhn and Luhn mod N algorithms
  * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
    Mod 97, 10, Mod 11, 10 and Mod 37, 36

Package: python3-stdnum
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Suggests: python3-pysimplesoap
Description: Python module to handle standardized numbers and codes (Python3 version)
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * BTW, TVA, NWSt (Belgian VAT number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * Swiss social security number ("Sozialversicherungsnummer")
  * RUT (Rol Único Tributario, Chilean national tax number)
  * RIC No. (Chinese Resident Identity Card Number)
  * NIT (Número De Identificación Tributaria, Colombian identity code)
  * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  * DIČ (Daňové identifikační číslo, Czech VAT number)
  * RČ (Rodné číslo, the Czech birth number)
  * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
  * CPR (personnummer, the Danish citizen number)
  * CVR (Momsregistreringsnummer, Danish VAT number)
  * Cedula (Dominican Republic national identification number)
  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  * EAN (International Article Number)
  * CI (Cédula de identidad, Ecuadorian personal identity code)
  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  * KMKR (Käibemaksukohuslase, Estonian VAT number)
  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)
  * DNI (Documento nacional de identidad, Spanish personal identity codes)
  * NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
  * NIF (Número de Identificación Fiscal, Spanish VAT number)
  * SEPA Identifier of the Creditor (AT-02)
  * VAT (European Union VAT number)
  * ALV nro (Arvonlisäveronumero, Finnish VAT number)
  * HETU (Henkilötunnus, Finnish personal identity code)
  * SIREN (a French company identification number)
  * n° TVA (taxe sur la valeur ajoutée, French VAT number)
  * VAT (United Kingdom (and Isle of Man) VAT registration number)
  * FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)
  * GRid (Global Release Identifier)
  * OIB (Osobni identifikacijski broj, Croatian identification number)
  * ANUM (Közösségi adószám, Hungarian VAT number)
  * IBAN (International Bank Account Number)
  * PPS No (Personal Public Service Number, Irish personal number)
  * VAT (Irish VAT number)
  * IMEI (International Mobile Equipment Identity)
  * IMSI (International Mobile Subscriber Identity)
  * Kennitala (Icelandic personal and organisation identity code)
  * VSK number (Virðisaukaskattsnúmer, Icelandic VAT number)
  * ISAN (International Standard Audiovisual Number)
  * ISBN (International Standard Book Number)
  * ISIL (International Standard Identifier for Libraries)
  * ISMN (International Standard Music Number)
  * ISO 6346 (International standard for container identification)
  * ISO 9362 (Business identifier codes)
  * ISSN (International Standard Serial Number)
  * Codice Fiscale (Italian tax code for individuals)
  * Partita IVA (Italian VAT number)
  * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
  * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
  * PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
  * MEID (Mobile Equipment Identifier)
  * VAT (Maltese VAT number)
  * NRIC No. (Malaysian National Registration Identity Card Number)
  * Brin number (Dutch number for schools)
  * BSN (Burgerservicenummer, Dutch national identification number)
  * BTW-nummer (Omzetbelastingnummer, the Dutch VAT number)
  * Onderwijsnummer (Dutch student school number)
  * Postcode (Dutch postal code)
  * MVA (Merverdiavgift, Norwegian VAT number)
  * Orgnr (Organisasjonsnummer, Norwegian organisation number)
  * NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
  * NIF (Número de identificação fiscal, Portuguese VAT number)
  * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
  * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
  * Orgnr (Organisationsnummer, Swedish company number)
  * VAT (Moms, Mervärdesskatt, Swedish VAT number)
  * ID za DDV (Davčna številka, Slovenian VAT number)
  * IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
  * RČ (Rodné číslo, the Slovak birth number)
  * COE (Codice operatore economico, San Marino national tax number)
  * ATIN (U.S. Adoption Taxpayer Identification Number)
  * EIN (U.S. Employer Identification Number)
  * ITIN (U.S. Individual Taxpayer Identification Number)
  * PTIN (U.S. Preparer Tax Identification Number)
  * RTN (Routing transport number)
  * SSN (U.S. Social Security Number)
  * TIN (U.S. Taxpayer Identification Number)
 .
 Furthermore a number of generic check digit algorithms are available:
 .
  * the Verhoeff algorithm
  * the Luhn and Luhn mod N algorithms
  * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
    Mod 97, 10, Mod 11, 10 and Mod 37, 36
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Explicitly set LC_ALL (LC_CTYPE isn't enough) to ensure Python3
# generates UTF-8 files by default. This should no longer be needed when
# distutils is fixed, see http://bugs.python.org/issue9561
export LC_ALL=C.UTF-8

export PYBUILD_NAME = stdnum

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='TZ=Europe/Amsterdam {interpreter} setup.py nosetests'

## python-stdnum 1.3

=== debian/changelog ===
python-stdnum (1.3-1) unstable; urgency=medium

  * New upstream release:
    - fix ISO 6346 check digit calculation (thanks Ronald Paloschi)
    - fix problem with check_vies_approx() (thanks Lionel Elie Mamane)
    - fix problem with SOAP client when using suds
    - include documentation that was previously on the Trac wiki
  * Update debian/copyright
  * Add a python-stdnum-doc package
  * Use https in Vcs-Git field (thanks lintian)
  * Upgrade to standards-version 3.9.7 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 06 Mar 2016 14:58:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
                debhelper (>= 9), dh-python,
                python-setuptools, python3-setuptools,
-               python-nose (>= 1.2.0), python3-nose (>= 1.2.0)
+               python-nose (>= 1.2.0), python3-nose (>= 1.2.0),
+               python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://arthurdejong.org/python-stdnum/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-stdnum.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-stdnum.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stdnum.git
 
 Package: python-stdnum
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
-Suggests: python-pysimplesoap | python-suds
+Suggests: python-pysimplesoap | python-suds, python-stdnum-doc
 Description: Python module to handle standardized numbers and codes
  A Python module to parse, validate and reformat standard numbers and codes
  in different formats.
@@ -120,7 +121,7 @@
 Package: python3-stdnum
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
-Suggests: python3-pysimplesoap
+Suggests: python3-pysimplesoap, python-stdnum-doc
 Description: Python module to handle standardized numbers and codes (Python3 version)
  A Python module to parse, validate and reformat standard numbers and codes
  in different formats.
@@ -221,3 +222,10 @@
     Mod 97, 10, Mod 11, 10 and Mod 37, 36
  .
  This package contains the Python 3 version of the library.
+
+Package: python-stdnum-doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: www-browser
+Section: doc
+Description: Python module to handle standardized numbers and codes (Documentation)

## python-stdnum 1.4

=== debian/changelog ===
python-stdnum (1.4-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - NIF (Numéro d'Immatriculation Fiscale, French tax identification
        number) provided by Dimitri Papadopoulos
      - NIR (French personal identification number) provided by Dimitri
        Papadopoulos
      - SIRET (a French company establishment identification number) provided
        by Yoann Aubineau
      - NHS (United Kingdom National Health Service patient identifier)
      - T.C. Kimlik No. (Turkish personal identification number)
    - add an implementation of the Damm algorithm
    - ensure data files are properly closed
    - documentation improvements
    - extend test suite
    - a number of minor bug fixes and improvements
  * Upgrade to standards-version 3.9.8 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Wed, 27 Jul 2016 00:09:23 +0200

## python-stdnum 1.5

=== debian/changelog ===
python-stdnum (1.5-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - ABN (Australian Business Number)
      - ACN (Australian Company Number)
      - TFN (Australian Tax File Number)
      - CCC (Código Cuenta Corriente, Spanish Bank Account Code)
      - CUPS (Código Unificado de Punto de Suministro, Supply Point Unified
        Code)
      - Spanish IBAN (International Bank Account Number)
      - Referencia Catastral (Spanish real estate property id)
    - The IBAN module now support validating the country-specific part
    - The Belgian VAT number is now also referenced as businessid
    - add a Tox configuration file
  * Update debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Sun, 13 Nov 2016 23:56:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
                debhelper (>= 9), dh-python,
                python-setuptools, python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 export PYBUILD_NAME = stdnum
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html docs/ build/html
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args='TZ=Europe/Amsterdam {interpreter} setup.py nosetests'

## python-stdnum 1.6

=== debian/changelog ===
python-stdnum (1.6-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - CBU (Clave Bancaria Uniforme, Argentine bank account number)
        (thanks Luciano Rossi)
      - EIC (European Energy Identification Code)
      - NACE (classification for businesses in the European Union)
      - LEI (Legal Entity Identifier)
      - n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
      - PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
    - add online check example that finds valid formats for a given number
    - fix support for Ñ in Spanish Referencia Catastral
    - updates to U.S. Employer Identification Number (thanks Greg Kuwaye)
    - various minor improvements
  * Update debian/copyright
  * Switch URLs to HTTPS

 -- Arthur de Jong <adejong@debian.org>  Tue, 11 Apr 2017 23:01:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
-Homepage: http://arthurdejong.org/python-stdnum/
+Homepage: https://arthurdejong.org/python-stdnum/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-stdnum.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stdnum.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Explicitly set LC_ALL (LC_CTYPE isn't enough) to ensure Python3
 # generates UTF-8 files by default. This should no longer be needed when
-# distutils is fixed, see http://bugs.python.org/issue9561
+# distutils is fixed, see https://bugs.python.org/issue9561
 export LC_ALL=C.UTF-8
 
 export PYBUILD_NAME = stdnum

## python-stdnum 1.8.1

=== update/requirements.txt ===
BeautifulSoup
requests

=== debian/changelog ===
python-stdnum (1.8.1-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
     - NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
     - Euro banknote serial numbers
     - CAS RN (Chemical Abstracts Service Registry Number)
     - Aadhaar (Indian digital resident personal identity number)
       (thanks Srikanth Lakshmanan)
     - PAN (Permanent Account Number, Indian income tax identifier)
       (thanks Srikanth Lakshmanan)
    - add functions for using the Dominican Republic DGII web service to
      validate and search for RNC and NCF numbers
    - add/update whitelists for Dominican Republic RNC and Cedula
    - support zeep as preferred SOAP library (suds and pysimplesoap are tried
      as fallback)
    - rename stdnum.iso9362 to stdnum.bic (iso9362 is deprecated but still
      available for compatibility)
    - add tests for web services (not normally run to avoid unnecessary load)
    - fixes and improvement to the sample online validation service
  * Use Python3 version to build Sphinx documentation
  * Update package description with all formats
  * Upgrade to standards-version 4.1.3 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sat, 06 Jan 2018 19:28:23 +0100

python-stdnum (1.7-1) unstable; urgency=medium

  * New upstream release:
     - add modules for the following number formats:
      - BN (Canadian Business Number)
      - SIN (Canadian Social Insurance Number)
      - IdNr (Steuerliche Identifikationsnummer, German personal tax number)
        (thanks Mohammed Salman of Holvi)
      - Registrikood (Estonian organisation registration code)
        (thanks Mohammed Salman of Holvi)
      - Veronumero (Finnish individual tax number)
        (thanks Mohammed Salman of Holvi)
      - UPN (English Unique Pupil Number)
    - fix a bug in the Czech DIČ check digit calculation
    - fix conversion of 9 digit ISBN to ISBN13
    - fix a bug in the Damm is_valid() function
    - more validation of 13-digit ISBN values
    - more validation of ISMN values
    - various code and test improvements (100% branch coverage now)
    - documentation improvements
  * Update debian/copyright
  * Upgrade to standards-version 4.0.1 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Thu, 14 Sep 2017 22:39:29 +0200

=== debian/control ===
Source: python-stdnum
Section: python
Priority: optional
Maintainer: Arthur de Jong <adejong@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 4.1.3
Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
               debhelper (>= 9), dh-python,
               python-setuptools, python3-setuptools,
               python-nose (>= 1.2.0), python3-nose (>= 1.2.0),
               python3-sphinx (>= 1.0.7+dfsg)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://arthurdejong.org/python-stdnum/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-stdnum.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stdnum.git

Package: python-stdnum
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Suggests: python-zeep | python-pysimplesoap | python-suds, python-stdnum-doc
Description: Python module to handle standardized numbers and codes
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CBU (Clave Bancaria Uniforme, Argentine bank account number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * Austrian Company Register Numbers
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * ABN (Australian Business Number)
  * ACN (Australian Company Number)
  * TFN (Australian Tax File Number)
  * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * BIC (ISO 9362 Business identifier codes)
  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * BN (Canadian Business Number)
  * SIN (Canadian Social Insurance Number)
  * CAS RN (Chemical Abstracts Service Registry Number)
  * Swiss social security number ("Sozialversicherungsnummer")
  * UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
  * VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
  * RUT (Rol Único Tributario, Chilean national tax number)
  * RIC No. (Chinese Resident Identity Card Number)
  * NIT (Número De Identificación Tributaria, Colombian identity code)
  * CUSIP number (financial security identification number)
  * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  * DIČ (Daňové identifikační číslo, Czech VAT number)
  * RČ (Rodné číslo, the Czech birth number)
  * IdNr (Steuerliche Identifikationsnummer, German personal tax number)
  * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
  * Wertpapierkennnummer (German securities identification code)
  * CPR (personnummer, the Danish citizen number)
  * CVR (Momsregistreringsnummer, Danish VAT number)
  * Cedula (Dominican Republic national identification number)
  * NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  * EAN (International Article Number)
  * CI (Cédula de identidad, Ecuadorian personal identity code)
  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  * Isikukood (Estonian Personcal ID number)
  * KMKR (Käibemaksukohuslase, Estonian VAT number)
  * Registrikood (Estonian organisation registration code)
  * CCC (Código Cuenta Corriente, Spanish Bank Account Code)
  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)
  * CUPS (Código Unificado de Punto de Suministro, Supply Point Unified Code)
  * DNI (Documento nacional de identidad, Spanish personal identity codes)
  * Spanish IBAN (International Bank Account Number)
  * NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
  * NIF (Número de Identificación Fiscal, Spanish VAT number)
  * Referencia Catastral (Spanish real estate property id)
  * SEPA Identifier of the Creditor (AT-02)
  * Euro banknote serial numbers
  * EIC (European Energy Identification Code)
  * NACE (classification for businesses in the European Union)
  * VAT (European Union VAT number)
  * ALV nro (Arvonlisäveronumero, Finnish VAT number)
  * Finnish Association Identifier
  * HETU (Henkilötunnus, Finnish personal identity code)
  * Veronumero (Finnish individual tax number)
  * Y-tunnus (Finnish business identifier)
  * NIF (Numéro d'Immatriculation Fiscale, French tax identification number)
  * NIR (French personal identification number)
  * SIREN (a French company identification number)
  * SIRET (a French company establishment identification number)
  * n° TVA (taxe sur la valeur ajoutée, French VAT number)
  * NHS (United Kingdom National Health Service patient identifier)
  * SEDOL number (Stock Exchange Daily Official List number)
  * UPN (English Unique Pupil Number)
  * VAT (United Kingdom (and Isle of Man) VAT registration number)
  * FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)
  * GRid (Global Release Identifier)
  * OIB (Osobni identifikacijski broj, Croatian identification number)
  * ANUM (Közösségi adószám, Hungarian VAT number)
  * IBAN (International Bank Account Number)
  * PPS No (Personal Public Service Number, Irish personal number)
  * VAT (Irish tax reference number)
  * IMEI (International Mobile Equipment Identity)
  * IMO number (International Maritime Organization number)
  * IMSI (International Mobile Subscriber Identity)
  * Aadhaar (Indian digital resident personal identity number)
  * PAN (Permanent Account Number, Indian income tax identifier)
  * Kennitala (Icelandic personal and organisation identity code)
  * VSK number (Virðisaukaskattsnúmer, Icelandic VAT number)
  * ISAN (International Standard Audiovisual Number)
  * ISBN (International Standard Book Number)
  * ISIL (International Standard Identifier for Libraries)
  * ISIN (International Securities Identification Number)
  * ISMN (International Standard Music Number)
  * ISO 6346 (International standard for container identification)
  * ISSN (International Standard Serial Number)
  * Codice Fiscale (Italian tax code for individuals)
  * Partita IVA (Italian VAT number)
  * LEI (Legal Entity Identifier)
  * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
  * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
  * PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
  * n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
  * MEID (Mobile Equipment Identifier)
  * VAT (Maltese VAT number)
  * RFC (Registro Federal de Contribuyentes, Mexican tax number)
  * NRIC No. (Malaysian National Registration Identity Card Number)
  * Brin number (Dutch number for schools)
  * BSN (Burgerservicenummer, Dutch national identification number)
  * BTW-nummer (Omzetbelastingnummer, the Dutch VAT number)
  * Onderwijsnummer (Dutch student school number)
  * Postcode (Dutch postal code)
  * MVA (Merverdiavgift, Norwegian VAT number)
  * Orgnr (Organisasjonsnummer, Norwegian organisation number)
  * NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
  * PESEL (Polish national identification number)
  * REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
  * NIF (Número de identificação fiscal, Portuguese VAT number)
  * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
  * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
  * PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
  * ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
  * Orgnr (Organisationsnummer, Swedish company number)
  * VAT (Moms, Mervärdesskatt, Swedish VAT number)
  * ID za DDV (Davčna številka, Slovenian VAT number)
  * IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
  * RČ (Rodné číslo, the Slovak birth number)
  * COE (Codice operatore economico, San Marino national tax number)
  * T.C. Kimlik No. (Turkish personal identification number)
  * ATIN (U.S. Adoption Taxpayer Identification Number)
  * EIN (U.S. Employer Identification Number)
  * ITIN (U.S. Individual Taxpayer Identification Number)
  * PTIN (U.S. Preparer Tax Identification Number)
  * RTN (Routing transport number)
  * SSN (U.S. Social Security Number)
  * TIN (U.S. Taxpayer Identification Number)
 .
 Furthermore a number of generic check digit algorithms are available:
 .
  * the Verhoeff algorithm
  * the Damm algorithm
  * the Luhn and Luhn mod N algorithms
  * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
    Mod 97, 10, Mod 11, 10 and Mod 37, 36
 .
 This package contains the Python 2 version of the library.

Package: python3-stdnum
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Suggests: python3-zeep | python3-pysimplesoap, python-stdnum-doc
Description: Python module to handle standardized numbers and codes (Python3 version)
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CBU (Clave Bancaria Uniforme, Argentine bank account number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * Austrian Company Register Numbers
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * ABN (Australian Business Number)
  * ACN (Australian Company Number)
  * TFN (Australian Tax File Number)
  * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * BIC (ISO 9362 Business identifier codes)
  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * BN (Canadian Business Number)
  * SIN (Canadian Social Insurance Number)
  * CAS RN (Chemical Abstracts Service Registry Number)
  * Swiss social security number ("Sozialversicherungsnummer")
  * UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
  * VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
  * RUT (Rol Único Tributario, Chilean national tax number)
  * RIC No. (Chinese Resident Identity Card Number)
  * NIT (Número De Identificación Tributaria, Colombian identity code)
  * CUSIP number (financial security identification number)
  * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  * DIČ (Daňové identifikační číslo, Czech VAT number)
  * RČ (Rodné číslo, the Czech birth number)
  * IdNr (Steuerliche Identifikationsnummer, German personal tax number)
  * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
  * Wertpapierkennnummer (German securities identification code)
  * CPR (personnummer, the Danish citizen number)
  * CVR (Momsregistreringsnummer, Danish VAT number)
  * Cedula (Dominican Republic national identification number)
  * NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  * EAN (International Article Number)
  * CI (Cédula de identidad, Ecuadorian personal identity code)
  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  * Isikukood (Estonian Personcal ID number)
  * KMKR (Käibemaksukohuslase, Estonian VAT number)
  * Registrikood (Estonian organisation registration code)
  * CCC (Código Cuenta Corriente, Spanish Bank Account Code)
  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html docs/ build/html
+	PYTHONPATH=. sphinx-build -N -b html docs/ build/html
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args='TZ=Europe/Amsterdam {interpreter} setup.py nosetests'

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://arthurdejong.org/python-stdnum/python-stdnum-(\d+)\.(\d+)\.tar\.gz

## python-stdnum 1.9

=== debian/changelog ===
python-stdnum (1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Arthur de Jong ]
  * New upstream release:
    - add modules for the following number formats:
      - Postleitzahl (Austrian postal code)
      - Abgabenkontonummer (Austrian tax identification number)
      - Belgian IBAN (International Bank Account Number)
      - Handelsregisternummer (German company register number)
      - St.-Nr. (Steuernummer, German tax number)
      - FIGI (Financial Instrument Global Identifier)
      - Montenegro IBAN (International Bank Account Number)
    - Have documentation rebuilt reproducibly (thanks Chris Lamb)
      (closes: #886522)
    - Allow configuring the SOAP request timeout
    - Support spaces in ISO 9362 (SWIFT) BIC codes
    - Add check_dgii() to stdnum.do.cedula module
    - Add validation for "individual" part of hetu (thanks Esa Halsti)
    - Support new style of Dominican Republic NCF numbers
    - Fix issue when using PySimpleSOAP for DGII lookups
    - Fix an issue in splitting certain IMSI values
    - Support building a universal wheel
    - Documentation and code style improvements
  * Update package description
  * Upgrade to standards-version 4.1.4 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sat, 14 Apr 2018 20:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
                debhelper (>= 9), dh-python,
                python-setuptools, python3-setuptools,
@@ -12,8 +12,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://arthurdejong.org/python-stdnum/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-stdnum.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-stdnum.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-stdnum.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-stdnum
 
 Package: python-stdnum
 Architecture: all
@@ -29,10 +29,13 @@
   * CBU (Clave Bancaria Uniforme, Argentine bank account number)
   * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
   * Austrian Company Register Numbers
+  * Postleitzahl (Austrian postal code)
+  * Abgabenkontonummer (Austrian tax identification number)
   * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
   * ABN (Australian Business Number)
   * ACN (Australian Company Number)
   * TFN (Australian Tax File Number)
+  * Belgian IBAN (International Bank Account Number)
   * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
   * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
   * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
@@ -53,7 +56,9 @@
   * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
   * DIČ (Daňové identifikační číslo, Czech VAT number)
   * RČ (Rodné číslo, the Czech birth number)
+  * Handelsregisternummer (German company register number)
   * IdNr (Steuerliche Identifikationsnummer, German personal tax number)
+  * St.-Nr. (Steuernummer, German tax number)
   * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
   * Wertpapierkennnummer (German securities identification code)
   * CPR (personnummer, the Danish citizen number)
@@ -85,6 +90,7 @@
   * HETU (Henkilötunnus, Finnish personal identity code)
   * Veronumero (Finnish individual tax number)
   * Y-tunnus (Finnish business identifier)
+  * FIGI (Financial Instrument Global Identifier)
   * NIF (Numéro d'Immatriculation Fiscale, French tax identification number)
   * NIR (French personal identification number)
   * SIREN (a French company identification number)
@@ -122,6 +128,7 @@
   * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
   * PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
   * n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
+  * Montenegro IBAN (International Bank Account Number)
   * MEID (Mobile Equipment Identifier)
   * VAT (Maltese VAT number)
   * RFC (Registro Federal de Contribuyentes, Mexican tax number)
@@ -180,10 +187,13 @@
   * CBU (Clave Bancaria Uniforme, Argentine bank account number)
   * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
   * Austrian Company Register Numbers
+  * Postleitzahl (Austrian postal code)
+  * Abgabenkontonummer (Austrian tax identification number)
   * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
   * ABN (Australian Business Number)
   * ACN (Australian Company Number)
   * TFN (Australian Tax File Number)
+  * Belgian IBAN (International Bank Account Number)
   * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
   * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
   * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
@@ -204,19 +214,11 @@
   * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
   * DIČ (Daňové identifikační číslo, Czech VAT number)
   * RČ (Rodné číslo, the Czech birth number)
+  * Handelsregisternummer (German company register number)
   * IdNr (Steuerliche Identifikationsnummer, German personal tax number)
+  * St.-Nr. (Steuernummer, German tax number)
   * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
   * Wertpapierkennnummer (German securities identification code)
   * CPR (personnummer, the Danish citizen number)
   * CVR (Momsregistreringsnummer, Danish VAT number)
   * Cedula (Dominican Republic national identification number)
-  * NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
-  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
-  * EAN (International Article Number)
-  * CI (Cédula de identidad, Ecuadorian personal identity code)
-  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
-  * Isikukood (Estonian Personcal ID number)
-  * KMKR (Käibemaksukohuslase, Estonian VAT number)
-  * Registrikood (Estonian organisation registration code)
-  * CCC (Código Cuenta Corriente, Spanish Bank Account Code)
-  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)

## python-stdnum 1.10

=== update/requirements.txt ===
BeautifulSoup
requests
xlrd

=== debian/changelog ===
python-stdnum (1.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - Bitcoin address
      - ISO 11649 (Structured Creditor Reference)
      - ID number (Mauritian national identifier)
      - Norwegian IBAN (International Bank Account Number)
      - Konto nr. (Norwegian bank account number)
    - Fix a bug in handling of Mexican tax numbers
    - Improve Spanish CIF and NIF validation
    - Update Dominican Republic NCF numbers online check
    - Improve Unicode conversion for bytestrings
    - Improvements to some corner cases in IBAN validation
    - Documentation improvements
    - Add stdnum.ru.vat as an alias for stdnum.ru.inn
  * Switch to using debian/master branch
  * Upgrade to standards-version 4.2.1 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Fri, 19 Oct 2018 13:48:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
                debhelper (>= 9), dh-python,
                python-setuptools, python3-setuptools,
                python-nose (>= 1.2.0), python3-nose (>= 1.2.0),
                python3-sphinx (>= 1.0.7+dfsg)
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
 Homepage: https://arthurdejong.org/python-stdnum/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-stdnum.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-stdnum
@@ -222,3 +220,4 @@
   * CPR (personnummer, the Danish citizen number)
   * CVR (Momsregistreringsnummer, Danish VAT number)
   * Cedula (Dominican Republic national identification number)
+  * NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -N -b html docs/ build/html
+	PYTHONPATH=. python3 -m sphinx -N -b html docs/ build/html
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args='TZ=Europe/Amsterdam {interpreter} setup.py nosetests'
